function! TestThis()
python << EOF
import sys, os
sys.path.append(os.path.join(os.getenv('HOME'), '.vim/plugin/vipy'))
import vipy
vipy.test_this()
EOF
endfunction

function! TestModule()
python << EOF
import sys, os
sys.path.append(os.path.join(os.getenv('HOME'), '.vim/plugin/vipy'))
import vipy
vipy.test_module()
EOF
endfunction

python << EOF
# This is a setup function that runs when the 
# plugin is started
import pickle, vim, os
def get_var(varname):
    if int(vim.eval('exists("%s")'  % varname)) == 1:
        vim.command("let @@=%s" % varname)
        return int(vim.eval("@@"))
    else:
        return 0

# Ok, so we actually have to write out a properties
# file based on let variables because vim's scoping rules
# don't line up nicely with python's
options = '''
vipy_nose__with_django
vipy_nose__with_profile
vipy_nose__with_coverage
vipy_nose__with_growl
vipy_nose_v
vipy_nose_s
vipy_growl_sticky_failures
vipy_report_only_failures
'''.split()

result = {}
for opt in options:
    result[opt] = bool(get_var(opt))
pickle.dump(result, open(os.path.expanduser('~/.vim/plugin/vipy/settings.pickle'), 'wb'))
EOF


map <LocalLeader>tt :call TestThis()<cr>
map <LocalLeader>tm :call TestModule()<cr>

